%define upstream_name    Graphics-Color
%define upstream_version 0.31

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 4

Summary:    Moose equality role
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Graphics/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Color::Library)
BuildRequires: perl(Moose)
BuildRequires: perl(Moose::Role)
BuildRequires: perl(Moose::Util::TypeConstraints)
BuildRequires: perl(MooseX::Aliases)
BuildRequires: perl(MooseX::Clone)
BuildRequires: perl(MooseX::Storage::Deferred)
BuildRequires: perl(MooseX::Types)
BuildRequires: perl(MooseX::Types::Moose)
BuildRequires: perl(Test::More)
BuildRequires: perl(Test::Number::Delta)
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildArch: noarch

%description
Graphics color is a device and library agnostic system for creating and
manipulating colors in various color spaces.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make


%install
%makeinstall_std

%files
%doc README Changes LICENSE META.yml META.json
%{_mandir}/man3/*
%perl_vendorlib/*




%changelog
* Wed Jul 12 2017 bb2 <bb2> - 0.310.0-4pclos2017
- rebuild against updates

